--Language select section array
----efa - England flag alpha
----rfa - Russia flag alpha
----fch - flag chosen
--0 - English
--1 - Russian
----lta - language text alpha
----ltan - language text alpha incrementor
----dir - press direction
--nil - no pressed
--true - right
--false - left
lang_select={efa=75,rfa=255,fch=1,lta=255,ltan=15,dir=nil,text_en={head="CHOOSE YOUR LANGUAGE",name="ENGLISH",pxb="PRESS X TO CONTINUE"},
text_ru={head="  ",name="",pxb="   "},text={}}

function do_language()

--Texture loading
	eng_flag = liin("data/textures/lang_select/england_flag.png",PGE_VRAM, eng_flag)
	rus_flag = liin("data/textures/lang_select/russia_flag.png",PGE_VRAM, rus_flag)
	s_font = liin("data/textures/main_menu/font.png",PGE_RAM,s_font)
	main_menu.bba=main_menu.bba-main_menu.bban
	
	if main_menu.bba<0 then
		main_menu.bba=0
	end
	
	if main_menu.bba>300 then
		main.cur=current.mainmenu
	end
	
--Arrows and text alpha rising
--Text variable
	lang_select.lta=lang_select.lta+lang_select.ltan
	
--Variable control
	if lang_select.lta>255 then
		lang_select.lta=255
	elseif lang_select.lta<0 then
		lang_select.lta=0
	end
	
	if lang_select.efa<75 then
		lang_select.efa=75
	end
	
	if lang_select.efa>255 then
		lang_select.efa=255
	end
	
	if lang_select.rfa<75 then
		lang_select.rfa=75
	end
	
	if lang_select.rfa>255 then
		lang_select.rfa=255
	end
	
	if lang_select.fch==1 then
		lang_select.text=lang_select.text_ru
		lang_select.rfa=lang_select.rfa+15
		lang_select.efa=lang_select.efa-15
	else
		lang_select.text=lang_select.text_en
		lang_select.efa=lang_select.efa+15
		lang_select.rfa=lang_select.rfa-15
	end
	
--Control check
--Left
	if pge.controls.pressed(PGE_CTRL_LEFT) and lang_select.fch==1 then
		lang_select.ltan=-15
		lang_select.dir=false
	end
	
--Right
	if pge.controls.pressed(PGE_CTRL_RIGHT) and lang_select.fch==0 then
		lang_select.ltan=-15
		lang_select.dir=true
	end
	
	if lang_select.lta<=0 and lang_select.ltan==-15 then
		
		if lang_select.dir==true then
			lang_select.fch=1
		else
			lang_select.fch=0
		end
		
		lang_select.ltan=15
	end
	
--Menu currents
	if pge.controls.pressed(PGE_CTRL_CROSS) then
		if lang_select.fch==1 then
			main_menu.lang=true
		else
			main_menu.lang=false
		end
		
		main_menu.clan=delang(1,2)
		main_menu.bban=-15
	end
--Drawing
	pge.gfx.startdrawing()
	pge.gfx.clearscreen()
	
	sfont.print(s_font,240-(string.len(lang_select.text.head)*5)+((8-string.len(lang_select.text.head))*2),10,4,lang_select.lta,lang_select.text.head)
	
	eng_flag:activate()
	eng_flag:draweasy(50,90,0,lang_select.efa)
	rus_flag:activate()
	rus_flag:draweasy(250,90,0,lang_select.rfa)
	
	sfont.print(s_font,240-(string.len(lang_select.text.name)*5)+((8-string.len(lang_select.text.name))*2),200,4,lang_select.lta,lang_select.text.name)
	sfont.print(s_font,240-(string.len(lang_select.text.pxb)*5)+((8-string.len(lang_select.text.pxb))*2),230,4,lang_select.lta,lang_select.text.pxb)
	
	pge.gfx.drawrect(0, 0, 480, 272, pge.gfx.createcolor(0,0,0,main_menu.bba))
	
	pge.gfx.enddrawing()
	pge.gfx.swapbuffers()
return 0
end
